> ## Documentation Index
> Fetch the complete documentation index at: https://apidocs.bridge.xyz/llms.txt
> Use this file to discover all available pages before exploring further.

# Get all funds requests

> Retrieve a list of all funds requests submitted by partnered banks and financial institutions



## OpenAPI

````yaml https://withbridge-image1-sv-usw2-monorail-openapi.s3.amazonaws.com/latest.json get /funds_requests
openapi: 3.0.2
info:
  title: Bridge API
  description: APIs to move into, out of, and between any form of a dollar
  version: '1'
servers:
  - url: https://api.bridge.xyz/v0
    description: The base path for all resources
security:
  - ApiKey: []
tags:
  - name: Customers
  - name: Fiat Payout Configuration
  - name: External Accounts
  - name: Transfers
  - name: Prefunded Accounts
  - name: Balances
  - name: Liquidation Addresses
  - name: Developers
  - name: API Keys
  - name: Plaid
  - name: Virtual Accounts
  - name: Static Memos
  - name: Cards
  - name: Funds Requests
  - name: Webhooks
  - name: Lists
  - name: Crypto Return Policies
  - name: Rewards
  - name: Associated Persons
  - name: Sandbox
paths:
  /funds_requests:
    get:
      tags:
        - Funds Requests
      summary: Get all funds requests
      description: >-
        Retrieve a list of all funds requests submitted by partnered banks and
        financial institutions
      parameters:
        - $ref: '#/components/parameters/LimitParameter'
        - $ref: '#/components/parameters/FundsRequestStartingAfterParameter'
        - $ref: '#/components/parameters/FundsRequestEndingBeforeParameter'
        - $ref: '#/components/parameters/CustomerIDQueryParameter'
        - $ref: '#/components/parameters/FraudParameter'
        - $ref: '#/components/parameters/NoticeDateStartingOnParameter'
        - $ref: '#/components/parameters/NoticeDateEndingOnParameter'
      responses:
        '200':
          description: List of funds requests
          content:
            application/json:
              schema:
                title: List of funds requests
                type: object
                required:
                  - count
                  - data
                properties:
                  count:
                    type: integer
                    description: The number of items returned
                  data:
                    type: array
                    minItems: 0
                    items:
                      $ref: '#/components/schemas/FundsRequest'
              examples:
                FundsRequestsResponse:
                  $ref: '#/components/examples/FundsRequestsResponse'
components:
  parameters:
    LimitParameter:
      in: query
      name: limit
      schema:
        type: integer
        minimum: 1
        maximum: 100
        default: 10
      description: The number of items to return (min 1, default 10, max 100)
    FundsRequestStartingAfterParameter:
      in: query
      name: starting_after
      schema:
        type: string
      description: >-
        This is a funds request id. If this is specified, the next page that
        starts with a funds request right AFTER the specified id on the
        timeline, which is always ordered from the newest to the oldest by
        creation time, will be returned. This also implies that funds request
        older than the specified funds request id will be returned (shouldn't be
        set if `ending_before` is set)
    FundsRequestEndingBeforeParameter:
      in: query
      name: ending_before
      schema:
        type: string
      description: >-
        This is a funds request id. If this is specified, the previous page that
        ends with a funds request right BEFORE the specified id on the timeline,
        which is always ordered from the newest to the oldest by creation time,
        will be returned. This also implies that funds request newer than the
        specified funds request id will be returned (shouldn't be set if
        `starting_after` is set)
    CustomerIDQueryParameter:
      name: customer_id
      in: query
      required: false
      schema:
        type: string
      description: If specified, results will be filtered to the given customer_id only
    FraudParameter:
      in: query
      name: fraud
      required: false
      schema:
        type: boolean
      description: >-
        If this is specified as either "true" or "false", then only fraudulent
        or non-fraudulent entries will be returned, respectively
    NoticeDateStartingOnParameter:
      in: query
      name: notice_date_starting_on
      required: false
      schema:
        type: string
      description: >-
        A date in the format YYYY-MM-DD. If specified, then only entries with a
        notice date on or after the provided date, inclusive, will be returned
    NoticeDateEndingOnParameter:
      in: query
      name: notice_date_ending_on
      required: false
      schema:
        type: string
      description: >-
        A date in the format YYYY-MM-DD. If specified, then only entries with a
        notice date on or before the provided date, inclusive, will be returned
  schemas:
    FundsRequest:
      required:
        - id
      properties:
        id:
          $ref: '#/components/schemas/Id'
          readOnly: true
        deposit_id:
          $ref: '#/components/schemas/Id'
          description: >-
            The id that uniquely identifies the Bridge deposit associated with
            the funds request
          type: string
          minLength: 1
          readOnly: true
        customer_id:
          $ref: '#/components/schemas/Id'
          description: The id of the Bridge customer that this static memo event belongs to
          type: string
          minLength: 1
          readOnly: true
        amount:
          type: string
          description: >-
            Amount of the deposit, represented as a decimal string. Examples
            include "100.25", "0.1", "1.234567" etc. It is denominated in the
            source currency of the deposit.
        currency:
          $ref: '#/components/schemas/Currency'
        payment_rail:
          type: string
          description: The source payment rail of the deposit
        fraud:
          type: boolean
          description: Whether the funds request was fraudulent or not
        notice_date:
          type: string
          description: >-
            Date that Bridge was notified about the funds request from our
            banking partner, in the format YYYY-MM-DD
        imad:
          type: string
          description: (Wire only) The IMAD of a wire deposit, if available
        trace_number:
          type: string
          description: (ACH only) The trace number of an ACH deposit, if available
        bank_transaction_id:
          type: string
          description: >-
            (Non-wire and Non-ACH only) In cases where an identifier tied to a
            public financial system is not available, we may instead provide a
            unique identifier that identifies the transaction for the relevant
            bank or financial institution
        created_at:
          readOnly: true
          type: string
          description: Time of creation of the funds request
          format: date-time
        deposit_created_at:
          readOnly: true
          type: string
          description: Time of creation of the associated deposit
          format: date-time
    Id:
      description: A UUID that uniquely identifies a resource
      type: string
      pattern: '[a-z0-9]*'
      minLength: 1
      maxLength: 42
    Currency:
      type: string
      enum:
        - usdb
        - usdc
        - usdt
        - usd
        - pyusd
  examples:
    FundsRequestsResponse:
      summary: A list of funds requests across all customers
      value:
        count: 3
        data:
          - id: fr_123
            deposit_id: dep_123
            customer_id: cust_123
            amount: '120.0'
            currency: usd
            payment_rail: wire
            fraud: true
            notice_date: '2020-02-01'
            imad: '123456'
            created_at: '2020-02-01T00:00:00.000Z'
            deposit_created-at: '2020-01-01T00:00:00.000Z'
          - id: fr_123
            deposit_id: dep_123
            customer_id: cust_123
            amount: '120.0'
            currency: usd
            payment_rail: ach_push
            fraud: true
            notice_date: '2020-02-01'
            trace_number: '123456'
            created_at: '2020-02-01T00:00:00.000Z'
            deposit_created-at: '2020-01-01T00:00:00.000Z'
          - id: fr_123
            deposit_id: dep_123
            customer_id: cust_123
            amount: '120.0'
            currency: eur
            payment_rail: sepa
            fraud: true
            notice_date: '2020-02-01'
            bank_transaction_id: '123456'
            created_at: '2020-02-01T00:00:00.000Z'
            deposit_created-at: '2020-01-01T00:00:00.000Z'
  securitySchemes:
    ApiKey:
      type: apiKey
      name: Api-Key
      in: header

````